/*
 * Theme Name:  Platform Child
 * Theme URI:   https://platform.codesupply.co/
 * Description: Platform Child Theme
 * Author:      Code Supply Co.
 * Author URI:  https://codesupply.co/
 * Template:    platform
 * Version:     1.0.0
 */

/* Copy any classes from parent theme here. They will override the parent's version. */


/* :root {
	--cs-entry-content-medium-width: 794px;
}

.cs-container {
  max-width: var(--cs-mobile-container, 876px);
}

@media (min-width: 992px) {
  .cs-container {
    max-width: var(--cs-desktop-container, 1600px);
  }
}

@media (min-width: 1200px) {
  .cs-sidebar-right.cs-sidebar-enabled .cs-main-content {
		grid-template-columns: calc(100% - 400px - 32px) 400px;
  }
} */

/* No Sidebar */
.single .cs-sidebar-disabled .cs-main-content {
    grid-template-columns:  minmax(auto, 1fr) auto;
}

.single .entry-content, .single .cs-metabar-enabled.cs-sidebar-disabled .cs-entry__container .cs-entry__content-wrap {
	max-width: var(--cs-entry-content-width-full)!important;
}

.single .cs-metabar-enabled.cs-sidebar-disabled .cs-entry__container {
    grid-template-columns: auto 1fr;
	gap: 24px;
}
/** Post Layout **/
/* Post Entry */
.cs-entry__header-content {
	background: var(--cs-color-contrast-100)!important;
}

@media ((min-width: 991.99px)) {
	.cs-entry__header-infobar {
		max-width: 50%!important;
	}
}

/* Post Thumbnail Caption */
.cs-entry__header .cs-entry__thumbnail-caption {
	display: none;
}

/* fixes meta bar spacing on posts */
@media (min-width: 1200px) {
	.single .cs-metabar-enabled .cs-entry__container {
    grid-template-columns: minmax(auto, 1fr) minmax(0, var(--cs-entry-content-full));
		gap: 24px;
}
}

.cs-entry__content-wrap {
	max-width: var(--cs-entry-content-full);
}

/* images */
.cs-main-content .entry-content figure, .cs-main-content .entry-content p:has(img)  {
	text-align: center;
}

.cs-main-content .entry-content img {
	border-radius: var(--cs-thumbnail-border-radius);
}

/* fixes sticky share buttons */
.cs-metabar-enabled .cs-entry__metabar-inner {
	top: calc(40px * 2 + var(--cs-wpadminbar-height));
}

/* Header */
.header-topbar-outer {
	background: var(--cs-color-contrast-100);
}

.cs-header__topbar:hover {
	padding: 0px 24px;
	box-shadow: none;
}

.cs-container:has(.cs-header__topbar) {
	padding: 0px;
} 

.cs-header__topbar {
	display: flex;
	flex-wrap: wrap;
	align-content: center;
	margin-top: 0;
	margin-bottom: 8px;
	box-shadow: unset;
	border-radius: 8px 8px 0px 0px;
	padding: 0px 24px;
	box-shadow: none;
}

.cs-navbar-smart-enabled .cs-header {
	top: -40px;
}

.cs-header__topbar li > a {
	font-size: .9rem;
}

.cs-header__topbar .cs-social {
	gap: 8px;
}

.cs-header__topbar .cs-social a {
	width: 24px;
}

/* Borders */
.cs-entry__outer, .cs-widget-categories__item, .cs-categories__item {
	border: 1px solid #DDD;
}

/* [data-scheme="dark"] :is(
  .cs-entry__outer,
  .cs-widget-categories__item,
  .cs-categories__item
) {
  border: 1px solid #111;
} */

@media (prefers-color-scheme: dark) {
	.cs-entry__outer,
  .cs-widget-categories__item,
  .cs-categories__item {
		border: 1px solid #111;
	}
	
[data-scheme="light"] :is(
  .cs-entry__outer,
  .cs-widget-categories__item,
  .cs-categories__item
) {
  border: 1px solid #DDD;
}
}

/* Category Pills */
.cs-overlay-background .cs-entry__post-meta .post-categories a {
	color: white!important;
}
.cs-overlay-background .cs-entry__post-meta .post-categories a:not([class^="cs-entry__post-meta"])::after {
	border: white 1px solid;
	background: transparent!important;
	backdrop-filter: blur(10px) brightness(85%);
}

.cs-overlay-background .cs-entry__post-meta .post-categories a:hover {
	color: white!important;
}

.cs-overlay-background .cs-entry__post-meta .post-categories a:hover:after {
	background: transparent!important;
	backdrop-filter: blur(40px) brightness(70%);
	
}

/* Home Category Section */
section.cs-categories .cs-categories__list {
	grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
}

/* Home Categories - fixes multiple lines */
.cs-categories__item-title {
	text-align: center;
}

/* Post Card - fixes additional margin on hover */
.cs-entry__outer:hover {
	margin: -8px!important;
	padding: 8px!important;

}

/* Photo Gallery Filter */

.pfg-filter {
background: var(--cs-color-button)!important;
color: var(--cs-color-button-contrast)!important;
}

.pfg-filter:hover{
background: var(--cs-color-button-hover);
color: var(--cs-color-contrast-600)!important;
}

.pfg-filter--active, .pfg-filter:focus {
	background: var(--cs-color-contrast-100)!important;
	color: var(--cs-color-contrast-900)!important;
}

.pfg-item-overlay .pfg-item-title, .pfg-item-caption--overlay .pfg-item-title {
	color: white!important;
}

/* General */
/* input, .comment-form-comment textarea {
	background-color: var(--cs-color-contrast-100)!important;
} */

.wp-block-group a {
	border: none!important;
	background: none!important;
}

/* Custom Post Query Shortcode */
.custom-post-query {
  display: grid;
}
@media (max-width: 991.98px) {
  .custom-post-query {
    grid-template-columns: repeat(1, minmax(0, 1fr));
  }
}
@media (min-width: 992px) {
  .custom-post-query {
    grid-template-columns:repeat(auto-fit, minmax(200px, 1fr));
  }
	
.custom-post-query.cs-posts-area__columns-5 {
		grid-template-columns:repeat(5, 1fr);
	}
.custom-post-query.cs-posts-area__columns-4 {
		grid-template-columns:repeat(4, 1fr);
	}
.custom-post-query.cs-posts-area__columns-3 {
		grid-template-columns:repeat(3, 1fr);
	}
.custom-post-query.cs-posts-area__columns-2 {
		grid-template-columns:repeat(2, 1fr);
	}
}
@media (min-width: 768px) and (max-width: 991.98px) {
  .custom-post-query .cs-entry__outer {
    grid-template-columns: repeat(auto-fit, minmax(0, 1fr));
    grid-template-rows: minmax(0, 1fr);
    column-gap: 0;
  }
  .custom-post-query .cs-entry__outer:has(.cs-entry__thumbnail) {
    grid-template-columns: clamp(112px, 50% - 8px, 397px) minmax(0, 1fr);
  }
}

.cs-main-content .entry-content > *:last-child:after,
.cs-main-content .entry-summary > *:last-child:after {
  content: none!important;
  clear: both;
  display: none;
}

.cs-main-content .entry-content ul:not(.wp-block-post,
.wp-block-archives,
.wp-block-categories,
.wp-block-latest-posts,
.wp-block-social-links,
.wp-block-post-template,
.blocks-gallery-grid,
.wp-block-navigation,
.wp-block-navigation .wp-block-page-list, .custom-post-query),
.cs-main-content .entry-summary ul:not(.wp-block-post,
.wp-block-archives,
.wp-block-categories,
.wp-block-latest-posts,
.wp-block-social-links,
.wp-block-post-template,
.blocks-gallery-grid,
.wp-block-navigation,
.wp-block-navigation .wp-block-page-list, .custom-post-query) {
  padding-left: unset;
  padding-right: unset;
  list-style-type: unset;
}

/* Page Content */
.cs-entry__header-title-only .cs-entry__header-content, .page .cs-entry__content-wrap {
	max-width: 100%;
}

.page .cs-entry__container {
	grid-template-columns: unset;
	display: block;
}

/* remove title background */
.page .cs-entry__header-content {
	background: unset!important;
}

.page .cs-entry__header-standard.cs-entry__header .cs-entry__title {
	padding: 0px;
}

.page .wp-block-image>a, .wp-block-image>figure>a {
	background: unset!important;
}

[data-scheme=dark].page .page-accordion button {
		background: #333!important;
	color: #fff!important;
}

@media (max-width: 991.98px) {
 .page .page-custom-grid {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }
}

/* Video Post Type */
div.emd-container p {
	color: var(--cs-color-primary);
	    font-family: var(--cs-font-post-content-family), sans-serif;
    font-weight: var(--cs-font-post-content-weight);
    font-size: var(--cs-font-post-content-size);
    letter-spacing: var(--cs-font-post-content-letter-spacing);
    line-height: var(--cs-font-post-content-line-height);
}

/* Individual Custom Pages */
.page .airline-logo-grid {
	gap: 10px;
	grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
}

.airline-logo-grid figure {
	margin: 0px!important;
}

.page .airline-logo-grid .wp-block-kadence-image img {
	width: 200px;
}


/* Kadence Color Override */
:root{
--global-palette1: var(--cs-color-primary);
--global-palette2: var(--cs-color-secondary);
--global-palette3: var(--cs-color-contrast-900);
--global-palette4: var(--cs-color-contrast-800);
--global-palette5: var(--cs-color-contrast-500);
--global-palette6: var(--cs-color-contrast-400);
--global-palette7: var(--cs-color-contrast-300);
--global-palette8: var(--cs-color-contrast-200);
--global-palette9: var(--cs-color-contrast-100);
}

/* Shortcode Cleaner */
.columns-wrapper {
	display: flex;
	gap: 12px;
	justify-content: center;
}